Bug 1138192 - (6.4.0) Package-private members not working on CDI beans in static modules
Summary: (6.4.0) Package-private members not working on CDI beans in static modules
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CDI/Weld
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR1
: EAP 6.4.0
Assignee: Jozef Hartinger
QA Contact: Matej Novotny
URL: https://c.na7.visual.force.com/apex/C...
Whiteboard:
Keywords:
Depends On:
Blocks: 1133962
TreeView+ depends on / blocked
 
Reported: 2014-09-04 08:53 UTC by Jozef Hartinger
Modified: 2019-05-20 11:16 UTC (History)
5 users (show)

(edit)
In previous versions of JBoss EAP there was a classloading optimization in the Weld integration code which caused an `IllegalAccessException` to be thrown when any normal-scoped bean from a static module which declared a package-private no-arg constructor got injected into a bean from a deployment.

This was fixed by limiting the optimization and using a static module's ClassLoader for proxies of classes originating from the given static module. 

The `IllegalAccessException` is no longer thrown for beans with package-private constructors in static modules.
Clone Of: 1133962
(edit)
Last Closed:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-3779 Major Resolved IllegalAccessException when a built-in normal-scoped bean defines a package-private no-arg constructor 2015-07-30 12:41:17 UTC

Comment 2 Ron Šmeral 2014-09-18 13:54:17 UTC
Verified in EAP 6.4.0.DR1.1.


Note You need to log in before you can comment on or make changes to this bug.